import type { _MXAverage } from "./MXAverage.js";
import type { _MXMetric } from "./MXMetric.js";
import type { _NSMeasurement } from "../Foundation/NSMeasurement.js";
export declare class _MXMemoryMetric extends _MXMetric {
    static alloc(): _MXMemoryMetric;
    static new(): _MXMemoryMetric;
    init(): _MXMemoryMetric;
    /**
     * @property peakMemoryUsage @abstract A single value representing the peak memory consumption of the application. @discussion Dimensioned as NSUnitInformationStorage.
     */
    peakMemoryUsage(): _NSMeasurement;
    /**
     * @property averageSuspendedMemory @abstract Average memory of the application upon suspend. @discussion Dimensioned as NSUnitInformationStorage.
     */
    averageSuspendedMemory(): _MXAverage;
}
